package ch.vorburger.jpapattern.sample.entities;

import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

import ch.vorburger.jpapattern.framework.Nullable;

/**
 * Sample JPA Entity, another simple one.
 */
@Entity
@Table(name = "test_d")
public class CEntity implements Nullable {

	@Id
	private Long id;
	
	private String info;
	
	public Long getId() {
	    return id;
	}
	
	public String getName() {
	    return info;
	}
	
	public void setInfo(String _info) {
	    this.info = _info;
	}
	
	/* (non-Javadoc)
	 * @see ch.vorburger.jpapattern.framework.Nullable#isNull()
	 */
	@Override
	public boolean isNull() {
		return false;
	}

}
